import 'package:flutterskel/widgets/stateless/RawStatelessWidgetClass.dart';

import '../../configuration/AppConfiguration.dart';
import '../../data/sources/DataSource.dart';
import '../../resources/colors/AppColors.dart';
import '../../resources/dimensions/AppDimensions.dart';
import '../../resources/fonts/AppFonts.dart';
import '../../resources/icons/AppIcons.dart';
import '../../resources/images/AppImages.dart';
import '../../resources/strings/AppStrings.dart';
import '../../resources/themes/AppTheme.dart';
import '../../resources/themes/ThemeRepository.dart';
import '../../routing/page/PageRouter.dart';
import '../../routing/url/UrlRouter.dart';
import '../../userinformation/UserInformationRepository.dart';

abstract class BaseStatelessWidget
  extends RawBaseStatelessWidget<
      // DataSource
      DataSource,
      // Routing
      UrlRouter,
      PageRouter,
      // Configuration
      AppConfiguration,
      // User Information
      UserInformationRepository,
      // Theme
      ThemeRepository,
      AppTheme,
      AppColors,
      AppDimensions,
      AppFonts,
      // Strings
      AppStrings,
      AppImages,
      AppIcons> {}